What are the Proclaim system requirements?

Proclaim runs on Windows or Mac with the following hardware/software requirements:

 

Windows

Mac

  • OSX 10.10 or higher
Have more questions? Ask the community